package cn.skcks.matrix.v2.api.locatioin.record;

import cn.skcks.matrix.v2.annotation.web.JsonMapping;
import cn.skcks.matrix.v2.annotation.web.methods.PostJson;
import cn.skcks.matrix.v2.config.swagger.SwaggerConfig;
import cn.skcks.matrix.v2.model.location.record.dto.LocationRecordParams;
import cn.skcks.matrix.v2.model.location.record.vo.LocationRecordVo;
import cn.skcks.matrix.v2.services.location.record.LocationRecordService;
import cn.skcks.matrix.v2.utils.json.JsonResponse;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collection;
import java.util.List;

@Tag(name = "定位记录")
@RestController
@JsonMapping("/location/record")
@RequiredArgsConstructor
public class LocationRecordController {
    private final LocationRecordService locationRecordService;

    @Bean
    public GroupedOpenApi docs() {
        return SwaggerConfig.api("Location Record", "/location/record");
    }

    @PostJson("/")
    @Operation(summary = "查询记录")
    public JsonResponse<Collection<LocationRecordVo>> getLocationRecord(@RequestBody LocationRecordParams params){
        return locationRecordService.getLocationRecord(params).parseResponse();
    }
}
